Goals
GET https://analyticse.com/api/goals/
curl --request GET \
--url 'https://analyticse.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | |
| type | Optional String | Erlaubte Werte: pageview, custom, scroll |
| search | Optional String | Die Suchzeichenfolge. |
| search_by | Optional String | Nach welchem Feld suchen Sie? Zulässige Werte sind: name, path, key. |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Startdatum |
| datetime_end | Optional String | Enddatum |
| order_by | Optional String | Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: goal_id, last_datetime, datetime, name, path, key, scroll_percentage. |
| order_type | Optional String | Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung. |
| page | Optional Integer | Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"scroll_percentage": null,
"name": "Example",
"last_datetime": null,
"datetime": "2026-09-12 00:48:19"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://analyticse.com/api/goals?page=1",
"last": "https://analyticse.com/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/goals?page=1"
}
}
GET https://analyticse.com/api/goals/{goal_id}
curl --request GET \
--url 'https://analyticse.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"scroll_percentage": null,
"name": "Example",
"last_datetime": null,
"datetime": "2026-09-12 00:48:19"
}
}
POST https://analyticse.com/api/goals
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Integer | - |
| type | Erforderlich String | Erlaubte Werte: pageview, custom, scroll |
| name | Erforderlich String | - |
| path | Optional String | Verfügbar, wenn: type = pageview, scroll |
| scroll_percentage | Optional Integer | Verfügbar, wenn: type = scroll |
| key | Optional String | - |
curl --request POST \
--url 'https://analyticse.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'type=scroll' \
--form 'path=blog/*' \
--form 'scroll_percentage=75' \
--url 'https://analyticse.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'type=scroll' \
--form 'path=blog/*' \
--form 'scroll_percentage=75' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "scroll",
"path": "/blog/*",
"scroll_percentage": 75,
"name": "Example",
"last_datetime": null,
"datetime": "2026-09-12 00:48:19"
}
}
POST https://analyticse.com/api/goals/{goal_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | - |
| type | Optional String | Erlaubte Werte: pageview, custom, scroll |
| name | Optional String | - |
| path | Optional String | Verfügbar, wenn: type = pageview, scroll |
| scroll_percentage | Optional Integer | Verfügbar, wenn: type = scroll |
| key | Optional String | - |
curl --request POST \
--url 'https://analyticse.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=scroll' \
--form 'path=blog/*' \
--form 'scroll_percentage=75' \
--url 'https://analyticse.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=scroll' \
--form 'path=blog/*' \
--form 'scroll_percentage=75' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "scroll",
"path": "/blog/*",
"scroll_percentage": 75,
"name": "Example",
"last_datetime": "2026-09-12 00:48:19",
"datetime": "2026-09-12 00:48:19"
}
}
DELETE https://analyticse.com/api/goals/{goal_id}
curl --request DELETE \
--url 'https://analyticse.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \